Subject: Re: bug#67862: 30.0.50; Handler-bind and ert-test-error-debug

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Jan 2024 14:15:12 +0200

> Cc: [email-masked], Christian Ohler <[email-masked]>
> From: Gerd Möllmann <[email-masked]>
> Date: Mon, 01 Jan 2024 06:56:44 +0100
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > My conclusion is that the three tests that are broken by the use of
> > `handler-bind` are "bad" tests in the sense that they tested for
> > a behavior which corresponds to a failure of ERT (they verified that
> > ERT's error-tracing infrastructure is rendered inoperable by
> > a surrounding `condition-case`, which amounts to saying that ERT was not
> > working correctly when called within a `condition-case`).
> 
> That makes sense, yes.

I wonder why should we leave these tests in the files, instead of
removing them?  What purpose does that serve?